#ifndef PIXELDEFENSE_BUILDINGS_H
#define PIXELDEFENSE_BUILDINGS_H

#include <breeze.h>
#include <flecs.h>

#include "components.h"
#include "game_tileset.h"

typedef struct Game Game;

bool canPlaceBuilding(Game *game, BuildingType type, i32 tileX, i32 tileY);
ecs_entity_t placeBuilding(Game *game, BuildingType type, i32 posX, i32 posY, Owner owner);

Vector2 getPositionNearBuilding(ecs_entity_t building, Vector2 fromPos);

#endif //PIXELDEFENSE_BUILDINGS_H
